Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.loyalty.dog/v2/giftcards/merchants/theme \ --header 'Authorization: Bearer <token>'
{ "theme": { "presetId": "eposn-default", "primary": "#15803d", "primaryFg": "#ffffff", "sidebarBg": "#ffffff", "sidebarText": "#4b5563", "sidebarActiveBg": "#f0fdf4", "sidebarActiveText": "#15803d", "sidebarBadge": "#15803d", "background": "#f9fafb", "foreground": "#111827", "surface": "#ffffff", "border": "#e5e7eb", "muted": "#6b7280", "logoUrl": "<string>", "logoAlt": "<string>", "fontFamily": "<string>", "borderRadius": "lg" } }
Fetch the authenticated merchant’s persisted portal theme.
JWT access token obtained from POST /v2/token.
Successful Response
Persisted merchant-facing theme configuration for the EPOSN portal.
Show child attributes